23.01.2022, 23:04 UTC+1

Sie sind nicht angemeldet.

  • Anmelden
  • Registrieren

Lieber Besucher, herzlich willkommen bei: Knoppix Forum | www.KnoppixForum.de. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

1

03.12.2021, 21:29

Telegram-Desktop

Hallo,
kennt jemand eine Telegram-Version, die unter Knoppix (am besten 8.6) läuft? Offiziell wird nur noch 64bit angeboten und meine alte 2.4.4-32bit meldet ständig, dass sie bald nicht mehr funktioniert.

Beiträge: 1 227

Geschlecht: Männlich

2

05.12.2021, 20:27

Hallo.
Bis 2014 hatte ich bei Firefox im Support die FAX-Funktionen mit Thunderbird benutzt danach Chrome web store. Das ging nur wenn ich Online mit meiner E-Mail Adresse eingeloggt war.

Im Oktober 2015 hatte ich mein letztes Fax Online an eine Behörde geschickt, das kam nie an, ich bekam keine Bestätigung. Seit 2015 sind die Sicherheitseinstellungen bei Behörden Verschärft. Ich schicke seit dem FAX nur über Post und nicht Online.

Beiträge: 1 227

Geschlecht: Männlich

3

05.12.2021, 20:47

Firefox bei Knoppix 8.1; 8.6 und 9.1 ist 32Bit. Eine 64Bit Version kann nicht Installiert werden ich habe das gerade probiert.

4

05.12.2021, 21:03

Firefox bei Knoppix 8.1; 8.6 und 9.1 ist 32Bit. Eine 64Bit Version kann nicht Installiert werden ich habe das gerade probiert.

Ich meinte natürlich Telegram als eigenständiges Programm, nicht als Browser-Version.
Also das was man für 64-bit hier herunterladen kann:

https://desktop.telegram.org/

5

05.12.2021, 22:10

oder auch Debian-Versionen wie von
https://packages.debian.org/bullseye-bac…elegram-desktop
die mit Knoppix laufen, ohne es zu zerschießen.

6

05.12.2021, 22:32

Also man kann mit
deb http://ftp.debian.org/debian/ bullseye-backports main contrib non-free
in
/etc/apt/sources.list.d/bullseye_backports.list
mit
apt update
apt install telegram-desktop

tatsächlich eine 3.1.8 32bit in Knoppix installieren, aber danach läuft knoppix nicht mehr stabil.

Dieser Beitrag wurde bereits 3 mal editiert, zuletzt von »D741_« (05.12.2021, 23:48)


Beiträge: 1 227

Geschlecht: Männlich

7

06.12.2021, 00:39

aber danach läuft knoppix nicht mehr stabil.
Probiere mal beim Knoppix Starten F2 und gib knoppix in der Zeile ein. Enter Bestätigen dann wird Knoppix mit dem 32Bit Kernel gestartet.

Beiträge: 1 227

Geschlecht: Männlich

8

06.12.2021, 01:23

apt update
mit diesem Befehl hast Du jetzt ein i386 32Bit Knoppix

9

06.12.2021, 02:41

Ob 32-bit Kernel oder nicht, bei knoppix muss doch das Programm sowieso 32-bit sein. Es änder natürlich nichts.
aber danach läuft knoppix nicht mehr stabil.
Probiere mal beim Knoppix Starten F2 und gib knoppix in der Zeile ein. Enter Bestätigen dann wird Knoppix mit dem 32Bit Kernel gestartet.

Beiträge: 1 227

Geschlecht: Männlich

10

06.12.2021, 03:13

Ich benutze gerade Knoppix 8.6.1-64 den 64Bit Kernel am i686/64bit Rerchner.

Quellcode

1
2
3
knoppix@Microknoppix:~$ uname -a
Linux Microknoppix 5.3.5-64 #16 SMP PREEMPT Wed Oct 23 02:08:38 CEST 2019 x86_64 GNU/Linux
knoppix@Microknoppix:~$
Ich kann mit diesem Kernel -64 zwar 32Bit Programme bei Knoppix Installieren aber nicht Benutzen. Das hatte ich schon bei Knoppix 7.4.1, 7.7.1 und 8.1 gemerkt.
Ich musste den 32Bit Kernel starten damit ich diese Programme benutzen kann.
Bei Knoppix 8.6.1 32Bit ist der Kernel 5.3.5

Beiträge: 1 227

Geschlecht: Männlich

11

06.12.2021, 03:33

mit diesem Befehl hast Du jetzt ein i386 32Bit Knoppix

12

06.12.2021, 04:03

Also wie genau kann ich jetzt Telegram-Desktop mit Knoppix8/9 verwenden?
Ich benutze gerade Knoppix 8.6.1-64 den 64Bit Kernel am i686/64bit Rerchner.

Quellcode

1
2
3
knoppix@Microknoppix:~$ uname -a
Linux Microknoppix 5.3.5-64 #16 SMP PREEMPT Wed Oct 23 02:08:38 CEST 2019 x86_64 GNU/Linux
knoppix@Microknoppix:~$
Ich kann mit diesem Kernel -64 zwar 32Bit Programme bei Knoppix Installieren aber nicht Benutzen. Das hatte ich schon bei Knoppix 7.4.1, 7.7.1 und 8.1 gemerkt.
Ich musste den 32Bit Kernel starten damit ich diese Programme benutzen kann.
Bei Knoppix 8.6.1 32Bit ist der Kernel 5.3.5

Beiträge: 1 227

Geschlecht: Männlich

13

06.12.2021, 04:45

Also wie genau kann ich jetzt Telegram-Desktop mit Knoppix8/9 verwenden?
Du müsstest dich jetzt für eine Version entscheiden. Bei Knoppix 8.6.1 mit i386 Update kannst Du 32Bit Programme Installieren und im 32Bit Modus mit F2 knoppix Benutzen.
Ab Knoppix 9.0 brauchst Du kein Update Installieren kannst aber 64Bit Programme Benutzen. Du kannst auch die
Synaptic-Paketverwaltung ab V9.1 Benutzen. (Knoppix 9.0 kenne ich nicht aber 9.1)
In der Paketverwaltung kannst Du Suchen welche Pakete für FAX vorhanden sind. (rechts Oben Suchen)
Welches Paket; welche Pakete Du dann Benutzen kannst musst Du probieren. Da kann ich jetzt nicht weiter Helfen.
Pakete mit Maus Markieren, zum Installieren Vormerken, Ausführen und Installieren.
Du hast bei Knoppix 8.6.1 schon ein Update Installiert und kannst auch dort die Paketverwaltung Benutzen.

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »ubuntuli« (06.12.2021, 04:58)


14

06.12.2021, 06:20

Ah, ja. Wirklich genau meine Fragestellung.
Also wie genau kann ich jetzt Telegram-Desktop mit Knoppix8/9 verwenden?
Du müsstest dich jetzt für eine Version entscheiden. Bei Knoppix 8.6.1 mit i386 Update kannst Du 32Bit Programme Installieren und im 32Bit Modus mit F2 knoppix Benutzen.
Ab Knoppix 9.0 brauchst Du kein Update Installieren kannst aber 64Bit Programme Benutzen. Du kannst auch die
Synaptic-Paketverwaltung ab V9.1 Benutzen. (Knoppix 9.0 kenne ich nicht aber 9.1)
In der Paketverwaltung kannst Du Suchen welche Pakete für FAX vorhanden sind. (rechts Oben Suchen)
Welches Paket; welche Pakete Du dann Benutzen kannst musst Du probieren. Da kann ich jetzt nicht weiter Helfen.
Pakete mit Maus Markieren, zum Installieren Vormerken, Ausführen und Installieren.
Du hast bei Knoppix 8.6.1 schon ein Update Installiert und kannst auch dort die Paketverwaltung Benutzen.

Beiträge: 1 227

Geschlecht: Männlich

15

06.12.2021, 07:10

In der Paketverwaltung Knoppix 8.6.1 gibt es ein Debian-Paket Telegram-Desktop 32Bit.
Das kannst Du Installieren und Benutzen.
ABER wenn Du ein Fax mit Anhang *.jpg oder *.png schickst kann es Probleme geben. Wenn Du keine Bestätigung bekommst wurde das Fax nicht angenommen.

16

06.12.2021, 13:39

tatsächlich eine 3.1.8 32bit in Knoppix installieren, aber danach läuft knoppix nicht mehr stabil.


das kann wirklich ziemlich viele Ursachen haben, aber mal damit angefangen: warum eine Knoppix 8.6?
Dass es dafür überhaupt noch SW gibt, ist schon erstaunlich, wo doch die 9.1 inzwischen schon wieder alt ist.
Es macht kaum Sinn, sich überhaupt Gedanken darum zu machen, warum etwas in 8.6 nicht funktioniert. Womit ich überhaupt nicht sagen will, dass dieses Telegram etwa in 9.1 funktionieren würde. Ich sehe es dort direkt installierbar:

Quellcode

1
2
telegram-desktop/unstable 3.1.8+ds-1 i386
  Schnelle und sichere Messaging-Anwendung
also ohne irgendwelche zusätzlichen Paketquellen angeben zu müssen.

17

06.12.2021, 14:47

8.x verwendet einen anderen suspend-to-ram als 9.x. Bei 9.1 sind manche Rechner (wie meiner) nicht reaktivierbar. Aber sicher kann man das auch ändern.
Wo genau siehst du 3.1.8 "direkt installierbar"?
tatsächlich eine 3.1.8 32bit in Knoppix installieren, aber danach läuft knoppix nicht mehr stabil.


das kann wirklich ziemlich viele Ursachen haben, aber mal damit angefangen: warum eine Knoppix 8.6?
Dass es dafür überhaupt noch SW gibt, ist schon erstaunlich, wo doch die 9.1 inzwischen schon wieder alt ist.
Es macht kaum Sinn, sich überhaupt Gedanken darum zu machen, warum etwas in 8.6 nicht funktioniert. Womit ich überhaupt nicht sagen will, dass dieses Telegram etwa in 9.1 funktionieren würde. Ich sehe es dort direkt installierbar:

Quellcode

1
2
telegram-desktop/unstable 3.1.8+ds-1 i386
  Schnelle und sichere Messaging-Anwendung
also ohne irgendwelche zusätzlichen Paketquellen angeben zu müssen.

18

06.12.2021, 16:06

Wo genau siehst du 3.1.8 "direkt installierbar"?


während meiner Brot-Arbeit habe ich eine Knoppix 9.1 im Hintergrund in einer VM laufen.

Quellcode

1
2
3
4
5
6
7
8
9
root@Microknoppix:/home/knoppix# find /mnt-system/KNOPPIX/ -iname "*version*"
/mnt-system/KNOPPIX/kversion
root@Microknoppix:/home/knoppix# cat /mnt-system/KNOPPIX/kversion
9.1-2021-01-25
root@Microknoppix:/home/knoppix# apt search telegram-desktop
Sortierung… Fertig
Volltextsuche… Fertig
telegram-desktop/unstable 3.1.8+ds-1 i386
  Schnelle und sichere Messaging-Anwendung
also, da sehe ich das eben. ein apt install telegram-desktop sollte es installieren. Evtl muss du erst ein apt update laufen lassen, aber das hattest du weiter oben ja schon getan.

19

06.12.2021, 21:36

Ok, danke. Geht.

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »D741_« (06.12.2021, 21:44)


20

07.12.2021, 19:18

8.x verwendet einen anderen suspend-to-ram als 9.x.


erst wollte ich nicht, aber bevor es mir Löcher in mein eh schon lädiertes Hirn brennt: Suspend wohin auch immer ist für ein System von einem Wechseldatenträger natürlich eh eine fragwürdige Option. Geht zB der Stick während des Suspend verloren, geht das garantiert schief und wie.
Bei Knoppix ist es jedoch auch deshalb recht fragwürdig, weil ja hier RAM (im äußersten Notfall) auch als SWAP benutzt wird und dann kann der verfügbare Speicher eh nochmal begrenzt sein.
Ich persönlich hätte diese Option in Knoppix gar nicht eingebaut oder freigegeben. Vielleicht war es Klaus Knopper einfach zu viel Arbeit, das für jedes DE anzupassen.

Wenn wir bei persönlichen Erfahrungen sind: es geht auch kaum schneller, als wenn man neu bootet, da viele Geräte-Adapter neu eingelesen werden müssen. Aha: genau, auch die USB-Geräte. Für viele Wlan-Geräte gilt dies, für Bluetooth und so weiter, aber eben immer mehr auch für USB. Wenn nun mein System auf USB liegt und ich den erst neu initialisieren muss, während gerade das System im RAM reaktiviert wird, da ist einfach vorprogrammiert, dass das schief geht.
Werden die externen Adapter nicht neu initialisiert, bedeutet das, dass sie die ganze Zeit im System präsent waren, also quasi unter Strom standen.
Deshalb: Bildschirm aus bei Deckel zu am Laptop ist OK, ansonsten ganz aus und neu Starten ist eindeutig besser.

21

08.12.2021, 00:45

Ok, zum Suspend. Ich lasse mal die ganze Diskussion weg, ob und für wen das sinnvoll ist, oder nicht.Einfach mal rein das technische.

Bei 8.x wird pm-tools verwendet, man kann es also auch mit sudo pm-suspend in den suspend versetzen. Das funktioniert bei allen von mir getesteten Rechnern problemlos. Bei 9.x wird irgendwas anderes verwendet. Ich war bisher zu faul, rauszukriegen was. Man sieht rein optisch (Suspend über menu), dass erst die Helligkeit gedimmt wird, bevor das Ding sich schlafen legt. Sicher so eine "neue bessere" Erfindung. Das Problem ist nur, dass sich von all meinen neuen und alten Kisten etwa nur 50% wieder aufwecken lassen (egal womit, Tastatur, Maus, Power-Schalter). Möglicherweise kann man bei 9.1 auch einfach pm-tools installieren. Aber bis jetzt bin ich eben einfach bei 8.6.1 geblieben, da für mich die 2 Jahre hinter der Zeit ok sind, solange alles so geht wie ich will.
8.x verwendet einen anderen suspend-to-ram als 9.x.


erst wollte ich nicht, aber bevor es mir Löcher in mein eh schon lädiertes Hirn brennt: Suspend wohin auch immer ist für ein System von einem Wechseldatenträger natürlich eh eine fragwürdige Option. Geht zB der Stick während des Suspend verloren, geht das garantiert schief und wie.
Bei Knoppix ist es jedoch auch deshalb recht fragwürdig, weil ja hier RAM (im äußersten Notfall) auch als SWAP benutzt wird und dann kann der verfügbare Speicher eh nochmal begrenzt sein.
Ich persönlich hätte diese Option in Knoppix gar nicht eingebaut oder freigegeben. Vielleicht war es Klaus Knopper einfach zu viel Arbeit, das für jedes DE anzupassen.

Wenn wir bei persönlichen Erfahrungen sind: es geht auch kaum schneller, als wenn man neu bootet, da viele Geräte-Adapter neu eingelesen werden müssen. Aha: genau, auch die USB-Geräte. Für viele Wlan-Geräte gilt dies, für Bluetooth und so weiter, aber eben immer mehr auch für USB. Wenn nun mein System auf USB liegt und ich den erst neu initialisieren muss, während gerade das System im RAM reaktiviert wird, da ist einfach vorprogrammiert, dass das schief geht.
Werden die externen Adapter nicht neu initialisiert, bedeutet das, dass sie die ganze Zeit im System präsent waren, also quasi unter Strom standen.
Deshalb: Bildschirm aus bei Deckel zu am Laptop ist OK, ansonsten ganz aus und neu Starten ist eindeutig besser.

Dieser Beitrag wurde bereits 2 mal editiert, zuletzt von »D741_« (08.12.2021, 01:15)


Beiträge: 1 227

Geschlecht: Männlich

22

08.12.2021, 01:36

Bei 9.x wird irgendwas anderes verwendet.
bei Knoppix 9.x wird der 64Bit Kernel

Quellcode

1
Linux Microknoppix 5.10.10-64 #3 SMP PREEMPT Sun Feb 7 09:26:54 CET 2021 x86_64 GNU/Linux
benutzt.
Bei 8.* mit i386 Update der 5.3.5 Kernel. Das wird der Grund sein.

23

08.12.2021, 01:48

Möglicherweise ist das eine Erklärung. Aber es änder nichts daran, dass bei 9.x "sudo pm-suspend" nicht geht, und das angebotene zwar eine lustige Helligkeits-Show erzeugt, aber nicht macht was es machen soll.

Beiträge: 1 227

Geschlecht: Männlich

24

08.12.2021, 02:11

aber nicht macht was es machen soll.
Weil Du ein i386 32Bit Update Installiert hast.Damit kannst Du keine 64Bit Programme Benutzen.
Bei 9.1 -64 Bit gibt es 12 Pakete die Du Benutzen kannst.

25

08.12.2021, 02:19

Also hier spreche ich NUR vom "suspend". Es geht hier NICHT um 32/64-bit-Programme, sondern NUR um das Verhalten der Original-ISOs von 8.6, 8.6.1, 9.1, 9.2, und NUR in Bezug auf das Verhalten von "suspend". Zumindest war das nach dem letzten Post von Pit das Thema.
aber nicht macht was es machen soll.
Weil Du ein i386 32Bit Update Installiert hast.Damit kannst Du keine 64Bit Programme Benutzen.
Bei 9.1 -64 Bit gibt es 12 Pakete die Du Benutzen kannst.

Beiträge: 1 227

Geschlecht: Männlich

26

08.12.2021, 02:42

Aber genau darum geht es. 32Bit oder 64Bit.
32Bit ist zu alt.

27

08.12.2021, 02:59

Also im "Suspend"-Fall egal, da geht es z.b. auf einem 64-bit i5-9600 nicht.
Aber genau darum geht es. 32Bit oder 64Bit.
32Bit ist zu alt.

Beiträge: 1 227

Geschlecht: Männlich

28

08.12.2021, 03:11

Kommst Du bei „i5-9600“ mit F10 ins BIOS?
Vielleicht kannst Du dort noch 32Bit auf 64Bit einstellen.
Wenn das ein UEFI ist kann ich nicht mehr weiter helfen.

29

08.12.2021, 03:20

Da ist alles 64-bit! Und Knoppix läuft mit 64-bi-kernel! Wie gesagt, es (das suspend-Problem) hat nichts mir 32/64-bit zu tun.
Kommst Du bei „i5-9600“ mit F10 ins BIOS?
Vielleicht kannst Du dort noch 32Bit auf 64Bit einstellen.
Wenn das ein UEFI ist kann ich nicht mehr weiter helfen.

Beiträge: 1 227

Geschlecht: Männlich

30

08.12.2021, 03:31

Jetzt gehts vom Telegram-Desktop zum
(das suspend-Problem)
Ich Starte jetzt Knoppix 8.6.1 mit i386 32Bit Update.

Linux HardwareLinux Computer & PCs | Linux Notebooks & Laptops | Geek Shirts | Geek und Nerd Shirt Shop